classification
Title: make `make install` faster
Type: Stage: resolved
Components: Build Versions: Python 3.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: inada.naoki, ned.deily
Priority: normal Keywords:

Created on 2017-06-16 18:38 by inada.naoki, last changed 2018-04-10 13:00 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2264 closed inada.naoki, 2017-06-18 03:24
Messages (1)
msg296216 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-06-16 18:38
Currently, `make install` doesn't use -jN option of compileall.py

My idea is:

* Use os.cpu_count() for -j0.
* Use the option in Makefile
History
Date User Action Args
2018-04-10 13:00:06inada.naokisetstatus: open -> closed
resolution: wont fix
stage: resolved
2017-07-01 00:18:32ned.deilysetnosy: + ned.deily
2017-06-18 03:24:51inada.naokisetpull_requests: + pull_request2315
2017-06-16 18:38:56inada.naokicreate